
<div class="card">
    <div class="card-header">
        Editar producto
    </div>
    <div class="card-body">
        <form [formGroup]="formProduct" (ngSubmit)="sendForm()">
            
            <div class="alert alert-danger" role="alert">
              {{ message }}
            </div>

            <div class="mb-3">
              <label for="id" class="form-label">ID</label>
              <input type="number"
                class="form-control" formControlName = "id" name="id" id="id" placeholder="id" readonly>
            </div>

            <div class="mb-3">
              <label for="id" class="form-label">Version</label>
              <input type="number"
                class="form-control" formControlName = "version" name="version" id="version" placeholder="version" readonly>
            </div>            

            <div class="mb-3">
              <label for="descripcion" class="form-label">Nombre</label>
              <input type="text"
                class="form-control" formControlName = "descripcion" name="descripcion" id="descripcion" placeholder="Descripcion">
            </div>

            <div class="mb-3">
              <label for="codigo" class="form-label">Codigo</label>
              <input type="text"
                class="form-control" formControlName = "codigo" name="codigo" id="codigo" placeholder="Codigo">
            </div>            

            <div class="mb-3">
              <label for="precio" class="form-label">Precio</label>
              <input type="text"
                class="form-control" formControlName = "precio" name="precio" id="precio"  placeholder="Indique el precio">
            </div>

            <div class="mb-3">
                <label for="marca" class="form-label">Marca</label>
                <input type="text"
                  class="form-control" formControlName = "marca" name="marca" id="marca"  placeholder="Indique la marca">
              </div>

              <div class="btn-group" role="group" aria-label="Button group name">
                <button type="submit" class="btn btn-success">Guardar</button>
                <button type="button" class="btn btn-primary">Cancelar</button>
              </div>
        </form>
    </div>
</div>